Bug 1306775 - [abrt] kate: KNotification::flags(): kate killed by SIGSEGV
[abrt] kate: KNotification::flags(): kate killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kate (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1f74ffa373f4ebefaec6f20f423...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 12:41 EST by Paul Fee
Modified: 2016-12-20 13:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:38:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (62.56 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: cgroup (200 bytes, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: core_backtrace (6.11 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: dso_list (23.52 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: environ (1.67 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: maps (103.18 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: mountinfo (3.54 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: open_fds (3.52 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details
File: var_log_messages (284 bytes, text/plain)
2016-02-11 12:41 EST, Paul Fee
no flags Details

  None (edit)
Description Paul Fee 2016-02-11 12:41:12 EST
Description of problem:
A file had been edited outside of kate, kate showed popup about file differences.

A few tabs/documents were open, some the result of clicking on ctag plugin search results.  The ctag plugin would open multiple instances of the same file, which may be relevant to crash.

Version-Release number of selected component:
kate-15.12.1-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/kate -b
crash_function: KNotification::flags
executable:     /usr/bin/kate
global_pid:     14070
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 KNotification::flags at ../../src/knotification.cpp:233
 #1 NotifyByAudio::onAudioFinished at ../../src/notifybyaudio.cpp:140
 #2 NotifyByAudio::qt_static_metacall at moc_notifybyaudio.cpp:83
 #3 QMetaObject::activate at kernel/qobject.cpp:3713
 #5 Phonon::MediaObject::finished at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:426
 #6 Phonon::MediaObject::qt_static_metacall at /usr/src/debug/phonon-4.8.3/x86_64-redhat-linux-gnu-Qt5/phonon/moc_mediaobject.cpp:183
 #7 QObject::event at kernel/qobject.cpp:1239
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3716
 #9 QApplication::notify at kernel/qapplication.cpp:3499
 #10 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
Comment 1 Paul Fee 2016-02-11 12:41:18 EST
Created attachment 1123233 [details]
File: backtrace
Comment 2 Paul Fee 2016-02-11 12:41:19 EST
Created attachment 1123234 [details]
File: cgroup
Comment 3 Paul Fee 2016-02-11 12:41:20 EST
Created attachment 1123235 [details]
File: core_backtrace
Comment 4 Paul Fee 2016-02-11 12:41:22 EST
Created attachment 1123236 [details]
File: dso_list
Comment 5 Paul Fee 2016-02-11 12:41:23 EST
Created attachment 1123237 [details]
File: environ
Comment 6 Paul Fee 2016-02-11 12:41:24 EST
Created attachment 1123238 [details]
File: exploitable
Comment 7 Paul Fee 2016-02-11 12:41:26 EST
Created attachment 1123239 [details]
File: limits
Comment 8 Paul Fee 2016-02-11 12:41:28 EST
Created attachment 1123240 [details]
File: maps
Comment 9 Paul Fee 2016-02-11 12:41:29 EST
Created attachment 1123241 [details]
File: mountinfo
Comment 10 Paul Fee 2016-02-11 12:41:30 EST
Created attachment 1123242 [details]
File: open_fds
Comment 11 Paul Fee 2016-02-11 12:41:31 EST
Created attachment 1123243 [details]
File: proc_pid_status
Comment 12 Paul Fee 2016-02-11 12:41:33 EST
Created attachment 1123244 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-11-24 10:30:58 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2016-12-20 13:38:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.